> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect marketplace registry agent

> Returns all details about a specific agent in the marketplace



## OpenAPI

````yaml /api_v1.json get /api/v1/registry/marketplace/{agentName}/{agentVersion}
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/registry/marketplace/{agentName}/{agentVersion}:
    get:
      tags:
        - registry
      summary: Inspect marketplace registry agent
      description: Returns all details about a specific agent in the marketplace
      operationId: inspectMarketplaceAgent
      parameters:
        - name: agentName
          in: path
          description: The name of the agent
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
        - name: agentVersion
          in: path
          description: The version of the agent
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestrictedRegistryAgent'
        '404':
          description: Agent not found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    RestrictedRegistryAgent:
      type: object
      properties:
        registryAgent:
          $ref: '#/components/schemas/RegistryAgent'
        restrictions:
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - linked
                    title: String
                  linkedServerId:
                    type: string
                    title: String
                required:
                  - linkedServerId
                  - type
                title: linked
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - local
                    title: String
                required:
                  - type
                title: local
              - type: object
                description: This agent can only be run on remote servers
                properties:
                  type:
                    type: string
                    enum:
                      - remote
                    title: String
                required:
                  - type
                title: remote
            discriminator:
              propertyName: type
            title: RegistryAgentRestriction
          title: LinkedHashSet<RegistryAgentRestriction>
          uniqueItems: true
        extension:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - marketplace
                  title: String
                iconUrl:
                  type: string
                  title: String
                developer:
                  type: string
                  title: String
                publishedAt:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - publishedAt
                - type
              title: marketplace
          discriminator:
            propertyName: type
          title: RegistryAgentExtension
      required:
        - registryAgent
        - restrictions
      title: RestrictedRegistryAgent
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
    RegistryAgent:
      type: object
      properties:
        info:
          $ref: '#/components/schemas/RegistryAgentInfo'
        edition:
          type: integer
          format: int32
          title: Int
        runtimes:
          $ref: '#/components/schemas/runtime'
        options:
          type: object
          additionalProperties:
            anyOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - blob
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: string
                    title: String
                  validation:
                    $ref: '#/components/schemas/BlobAgentOptionValidation'
                required:
                  - type
                title: blob
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[blob]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                  validation:
                    $ref: '#/components/schemas/BlobAgentOptionValidation'
                required:
                  - type
                title: list[blob]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - bool
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: boolean
                    title: Boolean
                required:
                  - type
                title: bool
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i8
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    maximum: 127
                    minimum: -128
                    title: Byte
                  validation:
                    $ref: '#/components/schemas/ByteAgentOptionValidation'
                required:
                  - type
                title: i8
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i8]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      maximum: 127
                      minimum: -128
                      title: Byte
                    title: ArrayList<Byte>
                  validation:
                    $ref: '#/components/schemas/ByteAgentOptionValidation'
                required:
                  - type
                title: list[i8]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - f64
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: number
                    format: double
                    title: Double
                  validation:
                    $ref: '#/components/schemas/DoubleAgentOptionValidation'
                required:
                  - type
                title: f64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[f64]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: number
                      format: double
                      title: Double
                    title: ArrayList<Double>
                  validation:
                    $ref: '#/components/schemas/DoubleAgentOptionValidation'
                required:
                  - type
                title: list[f64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - f32
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: number
                    format: float
                    title: Float
                  validation:
                    $ref: '#/components/schemas/FloatAgentOptionValidation'
                required:
                  - type
                title: f32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[f32]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: number
                      format: float
                      title: Float
                    title: ArrayList<Float>
                  validation:
                    $ref: '#/components/schemas/FloatAgentOptionValidation'
                required:
                  - type
                title: list[f32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i32
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    format: int32
                    title: Int
                  validation:
                    $ref: '#/components/schemas/IntAgentOptionValidation'
                required:
                  - type
                title: i32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i32]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      format: int32
                      title: Int
                    title: ArrayList<Int>
                  validation:
                    $ref: '#/components/schemas/IntAgentOptionValidation'
                required:
                  - type
                title: list[i32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i64
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    format: int64
                    title: Long
                  validation:
                    $ref: '#/components/schemas/LongAgentOptionValidation'
                required:
                  - type
                title: i64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i64]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      format: int64
                      title: Long
                    title: ArrayList<Long>
                  validation:
                    $ref: '#/components/schemas/LongAgentOptionValidation'
                required:
                  - type
                title: list[i64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i16
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    maximum: 32767
                    minimum: -32768
                    title: Short
                  validation:
                    $ref: '#/components/schemas/ShortAgentOptionValidation'
                required:
                  - type
                title: i16
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i16]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      maximum: 32767
                      minimum: -32768
                      title: Short
                    title: ArrayList<Short>
                  validation:
                    $ref: '#/components/schemas/ShortAgentOptionValidation'
                required:
                  - type
                title: list[i16]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - string
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: string
                    title: String
                  validation:
                    $ref: '#/components/schemas/StringAgentOptionValidation'
                  base64:
                    type: boolean
                    title: Boolean
                  secret:
                    type: boolean
                    title: Boolean
                required:
                  - type
                title: string
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[string]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                  validation:
                    $ref: '#/components/schemas/StringAgentOptionValidation'
                  base64:
                    type: boolean
                    title: Boolean
                  secret:
                    type: boolean
                    title: Boolean
                required:
                  - type
                title: list[string]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u8
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    maximum: 255
                    minimum: 0
                    title: UByte
                  validation:
                    $ref: '#/components/schemas/UByteAgentOptionValidation'
                required:
                  - type
                title: u8
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u8]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      maximum: 255
                      minimum: 0
                      title: UByte
                    title: ArrayList<UByte>
                  validation:
                    $ref: '#/components/schemas/UByteAgentOptionValidation'
                required:
                  - type
                title: list[u8]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u32
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    maximum: 4294967295
                    minimum: 0
                    title: UInt
                  validation:
                    $ref: '#/components/schemas/UIntAgentOptionValidation'
                required:
                  - type
                title: u32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u32]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      maximum: 4294967295
                      minimum: 0
                      title: UInt
                    title: ArrayList<UInt>
                  validation:
                    $ref: '#/components/schemas/UIntAgentOptionValidation'
                required:
                  - type
                title: list[u32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u64
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: string
                    title: String
                  validation:
                    $ref: '#/components/schemas/ULongAgentOptionValidation'
                required:
                  - type
                title: u64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u64]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                  validation:
                    $ref: '#/components/schemas/ULongAgentOptionValidation'
                required:
                  - type
                title: list[u64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u16
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: integer
                    maximum: 65535
                    minimum: 0
                    title: UShort
                  validation:
                    $ref: '#/components/schemas/UShortAgentOptionValidation'
                required:
                  - type
                title: u16
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u16]
                    title: String
                  required:
                    type: boolean
                    title: Boolean
                  display:
                    $ref: '#/components/schemas/AgentOptionDisplay'
                  transport:
                    $ref: '#/components/schemas/AgentOptionTransport'
                  default:
                    type: array
                    items:
                      type: integer
                      maximum: 65535
                      minimum: 0
                      title: UShort
                    title: ArrayList<UShort>
                  validation:
                    $ref: '#/components/schemas/UShortAgentOptionValidation'
                required:
                  - type
                title: list[u16]
            discriminator:
              propertyName: type
            title: AgentOption
          title: LinkedHashMap<String,AgentOption>
        llm:
          $ref: '#/components/schemas/AgentLlmConfig'
        marketplace:
          $ref: '#/components/schemas/RegistryAgentMarketplaceSettings'
        exportSettings:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentExportSettings'
          title: LinkedHashMap<RuntimeId,AgentExportSettings>
      required:
        - edition
        - exportSettings
        - info
        - options
        - runtimes
      title: RegistryAgent
    RegistryAgentInfo:
      type: object
      properties:
        capabilities:
          type: array
          items:
            $ref: '#/components/schemas/AgentCapability'
          title: LinkedHashSet<AgentCapability>
          uniqueItems: true
        identifier:
          $ref: '#/components/schemas/RegistryAgentIdentifier'
        description:
          type: string
          title: String
        readme:
          type: string
          title: String
        summary:
          type: string
          title: String
        license:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - spdx
                  title: String
                expression:
                  type: string
                  title: String
              required:
                - expression
                - type
              title: spdx
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - text
                  title: String
                text:
                  type: string
                  title: String
              required:
                - text
                - type
              title: text
          discriminator:
            propertyName: type
          title: RegistryAgentLicense
        keywords:
          type: array
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
        links:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - capabilities
        - description
        - identifier
        - license
        - readme
        - summary
      title: RegistryAgentInfo
    runtime:
      type: object
      properties:
        executable:
          $ref: '#/components/schemas/executable'
        docker:
          $ref: '#/components/schemas/docker'
        function:
          $ref: '#/components/schemas/FunctionRuntime'
      title: runtime
    AgentOptionDisplay:
      type: object
      properties:
        label:
          type: string
          title: String
        description:
          type: string
          title: String
        group:
          type: string
          title: String
        multiline:
          type: boolean
          title: Boolean
      title: AgentOptionDisplay
    AgentOptionTransport:
      type: string
      enum:
        - env
        - fs
      title: AgentOptionTransport
    BlobAgentOptionValidation:
      type: object
      properties:
        min_size:
          $ref: '#/components/schemas/ByteSize'
        max_size:
          $ref: '#/components/schemas/ByteSize'
      title: BlobAgentOptionValidation
    ByteAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            maximum: 127
            minimum: -128
            title: Byte
          title: ArrayList<Byte>
        min:
          type: integer
          maximum: 127
          minimum: -128
          title: Byte
        max:
          type: integer
          maximum: 127
          minimum: -128
          title: Byte
      title: ByteAgentOptionValidation
    DoubleAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: number
            format: double
            title: Double
          title: ArrayList<Double>
        min:
          type: number
          format: double
          title: Double
        max:
          type: number
          format: double
          title: Double
      title: DoubleAgentOptionValidation
    FloatAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: number
            format: float
            title: Float
          title: ArrayList<Float>
        min:
          type: number
          format: float
          title: Float
        max:
          type: number
          format: float
          title: Float
      title: FloatAgentOptionValidation
    IntAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            format: int32
            title: Int
          title: ArrayList<Int>
        min:
          type: integer
          format: int32
          title: Int
        max:
          type: integer
          format: int32
          title: Int
      title: IntAgentOptionValidation
    LongAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            format: int64
            title: Long
          title: ArrayList<Long>
        min:
          type: integer
          format: int64
          title: Long
        max:
          type: integer
          format: int64
          title: Long
      title: LongAgentOptionValidation
    ShortAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            maximum: 32767
            minimum: -32768
            title: Short
          title: ArrayList<Short>
        min:
          type: integer
          maximum: 32767
          minimum: -32768
          title: Short
        max:
          type: integer
          maximum: 32767
          minimum: -32768
          title: Short
      title: ShortAgentOptionValidation
    StringAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: string
            title: String
          title: ArrayList<String>
        min_length:
          type: integer
          format: int32
          title: Int
        max_length:
          type: integer
          format: int32
          title: Int
        regex:
          type: string
          title: String
      title: StringAgentOptionValidation
    UByteAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            maximum: 255
            minimum: 0
            title: UByte
          title: ArrayList<UByte>
        min:
          type: integer
          maximum: 255
          minimum: 0
          title: UByte
        max:
          type: integer
          maximum: 255
          minimum: 0
          title: UByte
      title: UByteAgentOptionValidation
    UIntAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            maximum: 4294967295
            minimum: 0
            title: UInt
          title: ArrayList<UInt>
        min:
          type: integer
          maximum: 4294967295
          minimum: 0
          title: UInt
        max:
          type: integer
          maximum: 4294967295
          minimum: 0
          title: UInt
      title: UIntAgentOptionValidation
    ULongAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            title: ULong
          title: ArrayList<ULong>
        min:
          type: integer
          title: ULong
        max:
          type: integer
          title: ULong
      title: ULongAgentOptionValidation
    UShortAgentOptionValidation:
      type: object
      properties:
        variants:
          type: array
          items:
            type: integer
            maximum: 65535
            minimum: 0
            title: UShort
          title: ArrayList<UShort>
        min:
          type: integer
          maximum: 65535
          minimum: 0
          title: UShort
        max:
          type: integer
          maximum: 65535
          minimum: 0
          title: UShort
      title: UShortAgentOptionValidation
    AgentLlmConfig:
      type: object
      properties:
        proxies:
          type: array
          items:
            $ref: '#/components/schemas/AgentLlmProxyRequest'
          title: ArrayList<AgentLlmProxyRequest>
      required:
        - proxies
      title: AgentLlmConfig
    RegistryAgentMarketplaceSettings:
      type: object
      properties:
        keywords:
          type: array
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
        pricing:
          $ref: '#/components/schemas/RegistryAgentMarketplacePricing'
        identities:
          $ref: '#/components/schemas/RegistryAgentMarketplaceIdentities'
      title: RegistryAgentMarketplaceSettings
    AgentExportSettings:
      type: object
      properties:
        quantity:
          type: integer
          maximum: 4294967295
          minimum: 0
          title: UInt
        pricing:
          $ref: '#/components/schemas/RegistryAgentExportPricing'
        options:
          type: object
          additionalProperties:
            anyOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - blob
                    title: String
                  value:
                    type: string
                    title: String
                required:
                  - type
                  - value
                title: blob
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[blob]
                    title: String
                  value:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                required:
                  - type
                  - value
                title: list[blob]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - bool
                    title: String
                  value:
                    type: boolean
                    title: Boolean
                required:
                  - type
                  - value
                title: bool
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i8
                    title: String
                  value:
                    type: integer
                    maximum: 127
                    minimum: -128
                    title: Byte
                required:
                  - type
                  - value
                title: i8
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i8]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      maximum: 127
                      minimum: -128
                      title: Byte
                    title: ArrayList<Byte>
                required:
                  - type
                  - value
                title: list[i8]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - f64
                    title: String
                  value:
                    type: number
                    format: double
                    title: Double
                required:
                  - type
                  - value
                title: f64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[f64]
                    title: String
                  value:
                    type: array
                    items:
                      type: number
                      format: double
                      title: Double
                    title: ArrayList<Double>
                required:
                  - type
                  - value
                title: list[f64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - f32
                    title: String
                  value:
                    type: number
                    format: float
                    title: Float
                required:
                  - type
                  - value
                title: f32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[f32]
                    title: String
                  value:
                    type: array
                    items:
                      type: number
                      format: float
                      title: Float
                    title: ArrayList<Float>
                required:
                  - type
                  - value
                title: list[f32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i32
                    title: String
                  value:
                    type: integer
                    format: int32
                    title: Int
                required:
                  - type
                  - value
                title: i32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i32]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      format: int32
                      title: Int
                    title: ArrayList<Int>
                required:
                  - type
                  - value
                title: list[i32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i64
                    title: String
                  value:
                    type: integer
                    format: int64
                    title: Long
                required:
                  - type
                  - value
                title: i64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i64]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      format: int64
                      title: Long
                    title: ArrayList<Long>
                required:
                  - type
                  - value
                title: list[i64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - i16
                    title: String
                  value:
                    type: integer
                    maximum: 32767
                    minimum: -32768
                    title: Short
                required:
                  - type
                  - value
                title: i16
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[i16]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      maximum: 32767
                      minimum: -32768
                      title: Short
                    title: ArrayList<Short>
                required:
                  - type
                  - value
                title: list[i16]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - string
                    title: String
                  value:
                    type: string
                    title: String
                required:
                  - type
                  - value
                title: string
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[string]
                    title: String
                  value:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                required:
                  - type
                  - value
                title: list[string]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u8
                    title: String
                  value:
                    type: integer
                    maximum: 255
                    minimum: 0
                    title: UByte
                required:
                  - type
                  - value
                title: u8
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u8]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      maximum: 255
                      minimum: 0
                      title: UByte
                    title: ArrayList<UByte>
                required:
                  - type
                  - value
                title: list[u8]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u32
                    title: String
                  value:
                    type: integer
                    maximum: 4294967295
                    minimum: 0
                    title: UInt
                required:
                  - type
                  - value
                title: u32
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u32]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      maximum: 4294967295
                      minimum: 0
                      title: UInt
                    title: ArrayList<UInt>
                required:
                  - type
                  - value
                title: list[u32]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u64
                    title: String
                  value:
                    type: string
                    title: String
                required:
                  - type
                  - value
                title: u64
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u64]
                    title: String
                  value:
                    type: array
                    items:
                      type: string
                      title: String
                    title: ArrayList<String>
                required:
                  - type
                  - value
                title: list[u64]
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - u16
                    title: String
                  value:
                    type: integer
                    maximum: 65535
                    minimum: 0
                    title: UShort
                required:
                  - type
                  - value
                title: u16
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - list[u16]
                    title: String
                  value:
                    type: array
                    items:
                      type: integer
                      maximum: 65535
                      minimum: 0
                      title: UShort
                    title: ArrayList<UShort>
                required:
                  - type
                  - value
                title: list[u16]
            discriminator:
              propertyName: type
            title: AgentOptionValue
          title: LinkedHashMap<String,AgentOptionValue>
      required:
        - options
        - pricing
        - quantity
      title: AgentExportSettings
    AgentCapability:
      type: string
      enum:
        - resources
        - tool_refreshing
      title: AgentCapability
    RegistryAgentIdentifier:
      type: object
      properties:
        name:
          type: string
          description: The exact name of the agent in the registry
          title: String
        version:
          type: string
          description: The exact version of the agent in the registry
          title: String
        registrySourceId:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - linked
                  title: String
                linkedServerId:
                  type: string
                  title: String
              required:
                - linkedServerId
                - type
              title: linked
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - local
                  title: String
              required:
                - type
              title: local
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - marketplace
                  title: String
              required:
                - type
              title: marketplace
          description: The identifier for the registry source that contains this agent
          discriminator:
            propertyName: type
          title: AgentRegistrySourceIdentifier
      required:
        - name
        - registrySourceId
        - version
      title: RegistryAgentIdentifier
    executable:
      type: object
      properties:
        path:
          type: string
          title: String
        arguments:
          type: array
          items:
            type: string
            title: String
          title: ArrayList<String>
        transport:
          $ref: '#/components/schemas/McpTransportType'
      required:
        - arguments
        - path
        - transport
      title: executable
    docker:
      type: object
      properties:
        image:
          type: string
          title: String
        transport:
          $ref: '#/components/schemas/McpTransportType'
        command:
          type: array
          items:
            type: string
            title: String
          title: ArrayList<String>
      required:
        - image
        - transport
      title: docker
    FunctionRuntime:
      type: object
      properties:
        transport:
          $ref: '#/components/schemas/McpTransportType'
      required:
        - transport
      title: FunctionRuntime
    ByteSize:
      type: object
      properties: {}
      title: ByteSize
    AgentLlmProxyRequest:
      type: object
      properties:
        name:
          type: string
          title: String
        format:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - Anthropic
                  title: String
              required:
                - type
              title: Anthropic
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - OpenAI
                  title: String
              required:
                - type
              title: OpenAI
          discriminator:
            propertyName: type
          title: LlmProviderFormat
        models:
          type: array
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
      required:
        - format
        - models
        - name
      title: AgentLlmProxyRequest
    RegistryAgentMarketplacePricing:
      type: object
      properties:
        description:
          type: string
          title: String
        recommendations:
          $ref: '#/components/schemas/RegistryAgentMarketplacePricingRecommendations'
        currency:
          type: string
          title: String
      required:
        - description
        - recommendations
      title: RegistryAgentMarketplacePricing
    RegistryAgentMarketplaceIdentities:
      type: object
      properties:
        erc8004:
          $ref: '#/components/schemas/RegistryAgentMarketplaceIdentityErc8004'
      title: RegistryAgentMarketplaceIdentities
    RegistryAgentExportPricing:
      type: object
      properties:
        min_price:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - coral
                  title: String
                amount:
                  type: number
                  format: double
                  title: Double
              required:
                - amount
                - type
              title: coral
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - micro_coral
                  title: String
                amount:
                  type: integer
                  format: int64
                  title: Long
              required:
                - amount
                - type
              title: micro_coral
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - usd
                  title: String
                amount:
                  type: number
                  format: double
                  title: Double
              required:
                - amount
                - type
              title: usd
          discriminator:
            propertyName: type
          title: AgentClaimAmount
        max_price:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - coral
                  title: String
                amount:
                  type: number
                  format: double
                  title: Double
              required:
                - amount
                - type
              title: coral
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - micro_coral
                  title: String
                amount:
                  type: integer
                  format: int64
                  title: Long
              required:
                - amount
                - type
              title: micro_coral
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - usd
                  title: String
                amount:
                  type: number
                  format: double
                  title: Double
              required:
                - amount
                - type
              title: usd
          discriminator:
            propertyName: type
          title: AgentClaimAmount
      required:
        - max_price
        - min_price
      title: RegistryAgentExportPricing
    McpTransportType:
      type: string
      enum:
        - sse
        - streamable_http
      title: McpTransportType
    RegistryAgentMarketplacePricingRecommendations:
      type: object
      properties:
        min:
          type: number
          format: double
          title: Double
        max:
          type: number
          format: double
          title: Double
      required:
        - max
        - min
      title: RegistryAgentMarketplacePricingRecommendations
    RegistryAgentMarketplaceIdentityErc8004:
      type: object
      properties:
        wallet:
          type: string
          title: String
        endpoints:
          type: array
          items:
            $ref: '#/components/schemas/Erc8004Endpoint'
          title: ArrayList<Erc8004Endpoint>
      required:
        - wallet
      title: RegistryAgentMarketplaceIdentityErc8004
    Erc8004Endpoint:
      type: object
      properties:
        name:
          type: string
          title: String
        endpoint:
          type: string
          title: String
      required:
        - endpoint
        - name
      title: Erc8004Endpoint
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````